Parallels 7 and Mountain Lion – You can’t use this version.

So you upgraded to Mountain Lion and attempted to start your legally purchased copy of Parallels 7 .. but you instead were greated with a lovely message;

You can’t use this version of the application ‘Parallels Desktop’ with this version of OS X. You have Parallels Desktop 7.0

The solution is simple. Download the latest copy of Parallels 7 (you may need to login), which includes an update that works on your beloved Mountain Lion. ALl your virtual machines will remain in tack.



Comments are closed.